Settle
POST
/v2/Payment/SettleSettle initiates batch settlement for the terminal, closing the current batch and submitting transactions to the payment processor. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
ReferenceId
stringGetReceipt
booleanSettlementType
enumTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/Payment/Settle
1curl --location 'https://test.spinpos.net/v2/Payment/Settle' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "ReferenceId": "30e5bd83f508",
6 "GetReceipt": false,
7 "SettlementType": "Close",
8 "Tpn": "",
9 "RegisterId": "",
10 "Authkey": "",
11 "SPInProxyTimeout": ""
12}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}